/**
 * 农产品管理
 */
import Layout from '@/layout'

const productManage = {
  path: '/productManage',
  component: Layout,
  redirect: '/productManage/products',
  alwaysShow: true,
  name: 'productManage',
  meta: { title: '农产品管理', icon: 'el-icon-goods' },
  children: [
    {
      path: 'toBeReviewed',
      name: 'productManageToBeReviewed',
      component: () => import('@/views/productManage/toBeReviewed/index'),
      meta: { title: '上架申请' }
    },
    {
      path: 'products',
      name: 'productManageProducts',
      component: () => import('@/views/productManage/products/index'),
      meta: { title: '农产品管理' }
    },
    {
      path: 'recommend',
      name: 'productManageRecommend',
      component: () => import('@/views/productManage/recommend/index'),
      meta: { title: '优秀产品管理' }
    }
  ]
}

export default productManage
