/**
 * 系统设置 system setting
 */
import Layout from '@/layout'

const sys = {
  path: '/sys',
  component: Layout,
  redirect: '/sys/project/list',
  alwaysShow: true,
  name: 'sys',
  meta: { title: '系统设置', icon: 'el-icon-setting'},
  children: [
    {
      path: 'project/list',
      name: 'project',
      component: () => import('@/views/sys/project/index'),
      meta: { title: '项目列表', roleValue: 'project_list_show' }
    },
    {
      path: 'department/list',
      name: 'department',
      component: () => import('@/views/sys/department/index'),
      meta: { title: '部门列表', roleValue: 'department_list_show' }
    },
    {
      path: 'roles/list',
      name: 'roles',
      component: () => import('@/views/sys/roles/index'),
      meta: { title: '角色列表', roleValue: 'roles_list_show' }
    },
    {
      path: 'user/list',
      name: 'user',
      component: () => import('@/views/sys/user/index'),
      meta: { title: '用户列表', roleValue: 'user_list_show' }
    }
    // {
    //   path: 'log/list',
    //   name: 'log',
    //   component: () => import('@/views/sys/log/index'),
    //   meta: { title: '操作日志' }
    // }
  ]
}

export default sys
