const { request } = require('../../../api/request')

export const mockData = {
  'user_name': '潘勇测试', // 用户姓名
  'shop_name': '潘勇的店铺', // 店铺名称
  'user_card': '4203221111222223333', // 身份证
  'shop_phone': '13429176706', // 手机号码
  'country_msg': '乡村信息用在哪里的', // 乡村信息
  'user_code_url': [
    {
      formkey: 'user_code_url',
      url: 'https://tuotuoyinfu-oss.oss-cn-beijing.aliyuncs.com/images/user/bashi63266e3610822.jpg'
    }
  ], // 微信二维码
  'user_wechat_code': 'wxid_aabbccddee', // 微信号
  'shop_img_url': [
    {
      formkey: 'shop_img_url',
      url: 'https://tuotuoyinfu-oss.oss-cn-beijing.aliyuncs.com/images/user/bashi63266e68d77f0.png'
    }
  ], // 店铺图片地址
  'shop_address': {
    'longitude': 120.1689, // 经度
    'latitude': 30.24, // 纬度
    'address_name': '浙江省杭州市上城区高银街121号', // 起点位置名称
    'name': '河坊街步行街'
  }, // 店铺地址 {"address_name":"","name":"","latitude":30.24,"longitude":120.1689}
  'shop_remark': '这个一个测试的备注信息' // 备注
}

/**
 * 申请商户
 * @returns {Promise<*>}
 */
export const userApplyShop = (obj) => request({
  url: '/api/user/apply/shop',
  method: 'POST',
  data: obj,
  showLoading: true
})
