const { request } = require('../../../api/request')

/**
 * 视频点赞
 * @param videoId 视频ID
 * @returns {Promise<*>}
 */
export const postvideoGood = (videoId) => request({
  url: '/api/user/video/good',
  method: 'POST',
  data: {
    video_id: videoId
  },
  showLoading: true
})

/**
 * 视频评论
 * @param videoId 视频ID
 * @param videoComment 评论内容
 * @returns {Promise<*>}
 */
export const postVideoComment = (videoId, videoComment) => request({
  url: '/api/user/video/comment/add',
  method: 'POST',
  data: {
    'video_id': videoId,
    'video_comment': videoComment
  },
  showLoading: true
})
