const pages = require('../../mixin/pages')

Page({

  /**
   * 页面的初始数据
   */
  data: {
    ...pages.data(),
    listUrl: '/api/user/new/product/list',
    searchForm: {
      'key_words': '',
      'type': '1' // 1最新上架2热度最高
    },
    nav: [
      {
        name: '最新',
        value: '1'
      },
      {
        name: '热度最高',
        value: '2'
      }
    ]
  },
  ...pages.methods,

  /**
   * 生命周期函数--监听页面加载
   */
  async onLoad(options) {
    this.fetchOrderList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {
    if (this.data.freshing) {
      return
    }
    this.setData({
      freshing: true
    })
    this.bindCallBack()
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    this.fetchOrderList()
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  bindCallBack() {
    this.refreshOrderList()
  },
  handleNav(e) {
    const { value } = e.detail

    this.setData({
      'searchForm.type': value
    }, () => {
      this.refreshOrderList()
    })
  }
})
