const { request } = require('../../../api/request')

/**
 * 关注商户
 * @param id 商户ID
 * @returns {Promise<*>}
 */
export const postFollowUser = (id) => request({
  url: '/api/user/follow/user',
  method: 'POST',
  data: {
    user_id: id // todo 这里应该是商户ID，不是店铺ID
  },
  showLoading: true
})

/**
 * 评论动态 // todo 缺评论、回复评论的UI；缺字段：收藏商家时店铺的ID；缺点赞、取消点赞接口及点赞数字段
 * @param postData
 * @returns {Promise<*>}
 */
export const postAddComment = (postData) => request({
  url: '/api/user/track/add/comment',
  method: 'POST',
  data: {
    ...postData
    // 'track_comment': '', // 评论内容
    // 'track_id': '' // 动态ID
  },
  showLoading: true
})
